NAME="libinput"
DESC="Handles input devices for display servers and other applications"
VERSION="1.23.0"
FILES=("https://gitlab.freedesktop.org/libinput/libinput/-/archive/$VERSION/libinput-$VERSION.tar.gz")
HASHES=("1faafdbe54745b5b59305b0764155a15")
DEPENDS=("mtdev" "libevdev")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.gz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson setup --prefix=$XORG_PREFIX  \
            --buildtype=release      \
            -Ddebug-gui=false        \
            -Dtests=false            \
            -Dlibwacom=false         \
            -Dudev-dir=/usr/lib/udev \
            ..                     
  ninja && DESTDIR=${ROOTDIR} ninja install

  cd ../.. && rm -rf $NAME-$VERSION
}
